petsc-3.4.2 2013-07-02

# PCGASMSetDMSubdomains

Indicates whether to use DMCreateDomainDecomposition() to define the subdomains, whenever possible. Logically Collective

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCGASMSetDMSubdomains(PC pc,PetscBool flg)

### Input Parameter

| pc | - the preconditioner
| flg | - boolean indicating whether to use subdomains defined by the DM

### Options Database Key

-pc_gasm_dm_subdomains -

### Notes

PCGASMSetTotalSubdomains() and PCGASMSetOverlap() take precedence over PCGASMSetDMSubdomains(), so setting either of the first two effectively turns the latter off.

### Keywords

PC, ASM, DM, set, subdomains, additive Schwarz

### See Also

PCGASMGetDMSubdomains(), PCGASMSetTotalSubdomains(), PCGASMSetOverlap()
PCGASMCreateSubdomains2D()

Level:intermediate
Location:src/ksp/pc/impls/gasm/gasm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages